<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Hello!</title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script
      src="https://code.jquery.com/jquery-3.4.1.js"
      integrity="sha256-WpOohJOqMqqyKL9FccASB9O0KwACQJpFTUBLTYOVvVU="
      crossorigin="anonymous"></script>
    
  </head>  
  <body>
    <input id="color" value="white"></input>
    <button id="button1">
      Change Color
    </button>
    <div id="div1" style="width: 300px; height: 300px">
      
    </div>
    <script>
      $(document).ready(function(){
        $("#button1").mouseover(function(){
          let c=$("#color").val();
          $("#div1").css("background-color",c);
        });
      });
    </script>
  </body>
</html>
